Bug 456505 - fence_manual man-page should be removed since the fencing agent is gone.
fence_manual man-page should be removed since the fencing agent is gone.
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-07-24 04:32 EDT by David Juran
Modified: 2009-05-04 07:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-04 07:17:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Juran 2008-07-24 04:32:23 EDT
Description of problem:
fence_manual has been removed some time ago but the man-page is still in the
package and should be cleaned up.

The "new" behaviour (if I understand it correctly) is that if no fencing agent
is specified for node, then manual fencing is used implicitly. So when the node
needs to be fenced, "fencing failed" will repeatedly be written to syslog and
the fence domain will be in transitioning state until someone manually runs
fence_ack_manual. Which is the reason that fence_ack_manual isn't removed.
 It would be good to find a nice place where to put this little piece of
information in... 

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. rpm -ql cman |grep fence_manual
Comment 1 Lon Hohberger 2009-04-09 11:30:28 EDT
Still exists in rawhide.
Comment 2 Lon Hohberger 2009-04-09 11:31:23 EDT
[root@sulfuras ~]# rpm -ql fence-agents | grep fence_man
Comment 3 Fabio Massimo Di Nitto 2009-05-04 07:17:53 EDT
This is now fixed in master/STABLE3/STABLE2 branches and will be part of the next upstream release.


Note You need to log in before you can comment on or make changes to this bug.